%--------------------------------------------------------------
% APMENU.m is a simple Matlab macro which displays a menu for
% selection of the autopilot simulation model. See APILOT.HLP
% in the directory HELP (type TYPE APILOT.HLP at Matlab command
% line) for more info about the systems APILOT1, APILOT2, and
% APILOT3.
%--------------------------------------------------------------

apsystem = menu('Select autopilot simulation model:',...
                'APILOT1: no radio-navigation, no turbulence',...
                'APILOT2: no radio-navigation noise, no turbulence',...
                'APILOT3: complete model',...
                'PAH: Pitch Attitude Hold mode only',...
                'RAH: Roll Attitude Hold mode only',...
                'PAHRAH: Pitch and Roll Attitude Hold modes only',...
                'Close');
if ~isempty(apsystem)
   if apsystem == 1
      apilot1
   elseif apsystem == 2
     apilot2
   elseif apsystem == 3
     apilot3
   elseif apsystem == 4
     pah
   elseif apsystem == 5
     rah
   elseif apsystem == 6
     pahrah
   else
   end
end
clear apsystem


%-----------------------------------------------------------------------
% The Flight Dynamics and Control Toolbox version 1.4.0. 
% (c) Copyright Marc Rauw, 1994-2005. Licensed under the Open Software 
% License version 2.1; see COPYING.TXT and LICENSE.TXT for more details.
% Last revision of this file: December 31, 2004. 
%-----------------------------------------------------------------------
